/*=========================================================================

  Program:  ViewerNDimensionsException
  Module:    $RCSfile: ViewerNDimensionsException.h,v $
  Language:  C++
  Date:      $Date: 2008/11/26 15:51:12 $
  Version:   $Revision: 1.5 $
  Objective:  Exception of the program when something has setted wrong
  Authot:	Monica Maria Lozano Romero

  Copyright: (c) 2007
  License:

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.


=========================================================================*/

#ifndef __VIEWERNDIMENSIONS_H__INCLUDED
#define __VIEWERNDIMENSIONS_H__INCLUDED

// SYSTEM INCLUDES

#include <iostream>
#include <exception>
#include "ConceptInstantHandler.h"
// PROJECT INCLUDES


// LOCAL INCLUDES

// FORWARD REFERENCES

//NAMESPACE


	class creaEnvironment_EXPORTS ViewerNDimensionsException: 
		public std::exception
		{
			public:
				//====== LIFECYCLE ========
				ViewerNDimensionsException(std::string msg)
				{
					this->msg=msg;
				}
#if(WIN32)
#else
				virtual ~ViewerNDimensionsException() throw (){};
#endif
				
				
				//======= INQUIRY ===========
				virtual const char* what() const throw()
				{
					return msg.c_str();
				}
				
			private:
				/*
				* msg to return
				*/
				std::string msg; 
		};//viewerNDimensionsException;	
#endif
